package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.InspectInfor;

/**
 * 送检信息Service接口
 * 
 * @author boman
 * @date 2021-12-27
 */
public interface IInspectInforService 
{
    /**
     * 查询送检信息
     * 
     * @param inspectId 送检信息主键
     * @return 送检信息
     */
    public InspectInfor selectInspectInforByInspectId(Long inspectId);

    /**
     * 查询送检信息列表
     * 
     * @param inspectInfor 送检信息
     * @return 送检信息集合
     */
    public List<InspectInfor> selectInspectInforList(InspectInfor inspectInfor);

    /**
     * 新增送检信息
     * 
     * @param inspectInfor 送检信息
     * @return 结果
     */
    public int insertInspectInfor(InspectInfor inspectInfor);

    /**
     * 修改送检信息
     * 
     * @param inspectInfor 送检信息
     * @return 结果
     */
    public int updateInspectInfor(InspectInfor inspectInfor);

    /**
     * 批量删除送检信息
     * 
     * @param inspectIds 需要删除的送检信息主键集合
     * @return 结果
     */
    public int deleteInspectInforByInspectIds(Long[] inspectIds);

    /**
     * 删除送检信息信息
     * 
     * @param inspectId 送检信息主键
     * @return 结果
     */
    public int deleteInspectInforByInspectId(Long inspectId);

    /**
     * 校验样品名称的唯一性
     * @param inspectInfor
     * @return
     */
     String checkSampleNameUnique(InspectInfor inspectInfor);
}
